TEMPLATE = app
include( ../config.pro )

INCLUDEPATH += ..
unix:LIBS += -L..
unix:LIBS += -lAttalServer
unix:LIBS += -lAttalClient
unix:LIBS += -lAttalCommon

win32:LIBS += ..\AttalServer.lib
win32:LIBS += ..\AttalClient.lib
win32:LIBS += ..\AttalCommon.lib

contains( DEFINES, WITH_SOUND ) {
	contains( CONFIG, staticlib ) {
		unix:LIBS += -lSDL
		unix:LIBS += -lSDL_mixer
	}
}

SOURCES += campaignEditor.cpp
SOURCES += campaignInterface.cpp
SOURCES += mainCampaignScreen.cpp

HEADERS += campaignInterface.h
HEADERS += mainCampaignScreen.h


DESTDIR = ..

OBJECTS_DIR=./obj
MOC_DIR=./moc

TARGET = attal-campaign-editor

TRANSLATIONS += ../i18n/de/campaign_editor_de.ts
TRANSLATIONS += ../i18n/fr/campaign_editor_fr.ts
TRANSLATIONS += ../i18n/ru/campaign_editor_ru.ts
TRANSLATIONS += ../i18n/it/campaign_editor_it.ts
