TEMPLATE = app
include( ../config.pro )

INCLUDEPATH += ..

unix:LIBS += -L..
unix:LIBS += -lAttalFight
unix:LIBS += -lAttalClient
unix:LIBS += -lAttalCommon

win32:LIBS += ..\AttalFight.lib
win32:LIBS += ..\AttalClient.lib
win32:LIBS += ..\AttalCommon.lib

contains( DEFINES, WITH_SOUND ) {
	contains( CONFIG, staticlib ) {
		unix:LIBS += -lSDL
		unix:LIBS += -lSDL_mixer
	}
}

SOURCES += clientInterface.cpp
SOURCES += main.cpp

HEADERS += clientInterface.h

TRANSLATIONS += ../i18n/de/attal_client_de.ts
TRANSLATIONS += ../i18n/fr/attal_client_fr.ts
TRANSLATIONS += ../i18n/ru/attal_client_ru.ts
TRANSLATIONS += ../i18n/it/attal_client_it.ts

DESTDIR = ..

OBJECTS_DIR=./obj
MOC_DIR=./moc

TARGET = attal-client
