TEMPLATE = app
include( ../config.pro )

INCLUDEPATH += ..
unix:LIBS += -L..
unix:LIBS += -lAttalClient
unix:LIBS += -lAttalCommon

win32:LIBS += ..\AttalClient.lib
win32:LIBS += ..\AttalCommon.lib

contains( DEFINES, WITH_SOUND ) {
	contains( CONFIG, staticlib ) {
		unix:LIBS += -lSDL
		unix:LIBS += -lSDL_mixer
	}
}

SOURCES += artefactAction.cpp
SOURCES += askCost.cpp
SOURCES += askDiversification.cpp
SOURCES += buildingAction.cpp
SOURCES += decorationEffect.cpp
SOURCES += mapDispositionEditor.cpp
SOURCES += previewBaseDialog.cpp
SOURCES += sectionArtefact.cpp
SOURCES += sectionBase.cpp
SOURCES += sectionBuilding.cpp
SOURCES += sectionCreature.cpp
SOURCES += sectionDecoration.cpp
SOURCES += sectionExperience.cpp
SOURCES += sectionGeneral.cpp
SOURCES += sectionGround.cpp
SOURCES += sectionLord.cpp
SOURCES += sectionLordCategory.cpp
SOURCES += sectionMachine.cpp
SOURCES += sectionRessource.cpp
SOURCES += sectionSelector.cpp
SOURCES += sectionTeam.cpp
SOURCES += sectionWidget.cpp
SOURCES += themeEditor.cpp
SOURCES += themeInterface.cpp

HEADERS += artefactAction.h
HEADERS += askCost.h
HEADERS += askDiversification.h
HEADERS += buildingAction.h
HEADERS += decorationEffect.h
HEADERS += mapDispositionEditor.h
HEADERS += previewBaseDialog.h
HEADERS += sectionArtefact.h
HEADERS += sectionBase.h
HEADERS += sectionBuilding.h
HEADERS += sectionCreature.h
HEADERS += sectionDecoration.h
HEADERS += sectionExperience.h
HEADERS += sectionGeneral.h
HEADERS += sectionGround.h
HEADERS += sectionLord.h
HEADERS += sectionLordCategory.h
HEADERS += sectionMachine.h
HEADERS += sectionRessource.h
HEADERS += sectionSelector.h
HEADERS += sectionTeam.h
HEADERS += sectionWidget.h
HEADERS += themeInterface.h

TRANSLATIONS += ../i18n/de/theme_editor_de.ts
TRANSLATIONS += ../i18n/fr/theme_editor_fr.ts
TRANSLATIONS += ../i18n/ru/theme_editor_ru.ts
TRANSLATIONS += ../i18n/it/theme_editor_it.ts

DESTDIR = ..

OBJECTS_DIR=./obj
MOC_DIR=./moc

TARGET = attal-theme-editor

